فهرست منبع

NEW texworks

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1535 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 سال پیش
والد
کامیت
e8025f8ef6

+ 32 - 0
t/texworks/TeXworks-pro-install.patch

@@ -0,0 +1,32 @@
+--- texworks-0.2.3/TeXworks.pro	2009-10-09 02:03:52.000000000 +0800
++++ texworks-0.2.3.new/TeXworks.pro	2010-04-24 10:36:17.876647486 +0800
+@@ -75,6 +75,8 @@
+ 	# Qt/dbus config on Debian is broken, hence the lines below
+ 	LIBS		+= -lQtDBus
+ 	INCLUDEPATH	+= /usr/include/qt4/QtDBus
++	# need for change of DSO linking on Fedora
++	LIBS		+= -lz
+ }
+ 
+ openbsd-g++ {
+@@ -172,3 +174,20 @@
+ 					trans/TeXworks_tr.ts \
+ 					trans/TeXworks_zh_CN.ts
+ 
++unix:!macx { # installation on Unix-ish platforms
++	isEmpty(INSTALL_PREFIX):INSTALL_PREFIX = /usr/local
++	isEmpty(BIN_DIR):BIN_DIR = $$INSTALL_PREFIX/bin
++	isEmpty(DATA_DIR):DATA_DIR = $$INSTALL_PREFIX/share
++	isEmpty(TRANSLATIONS_DIR):TRANSLATIONS_DIR = $$DATA_DIR/texworks/translations
++	isEmpty(DOCS_DIR):DOCS_DIR = $$DATA_DIR/doc/texworks
++	isEmpty(ICON_DIR):ICON_DIR = $$DATA_DIR/pixmaps
++
++	target.path = $$BIN_DIR
++	documentation.files = COPYING README
++	documentation.path = $$DOCS_DIR
++	translation.files = trans/TeXworks_*.qm
++	translation.path = $$TRANSLATIONS_DIR
++	icon.files = res/images/TeXworks.png
++	icon.path = $$ICON_DIR
++	INSTALLS = target documentation translation icon
++}

+ 4 - 0
t/texworks/pdfeplatex.sh

@@ -0,0 +1,4 @@
+#!/bin/bash
+## epdfplatex: support platex for TeXworks via dvipdfmx
+eplatex -kanji=utf8 $1 || exit 1
+dvipdfmx -r 1200 $1 || exit 1

+ 4 - 0
t/texworks/pdfplatex.sh

@@ -0,0 +1,4 @@
+#!/bin/bash
+## pdfplatex: support platex for TeXworks via dvipdfmx
+platex -kanji=utf8 $1 || exit 1
+dvipdfmx -r 1200 $1 || exit 1

+ 11 - 0
t/texworks/texworks-0.2.3-README-UTF8.patch

@@ -0,0 +1,11 @@
+--- README	2009-10-02 20:07:47.000000000 +0800
++++ README.new	2010-04-22 17:12:40.310582005 +0800
+@@ -5,7 +5,7 @@
+ Distributed under the terms of the GNU General Public License, version 2 or (at your option) any later version.
+ See the file COPYING for details.
+ 
+-The SyncTeX code is copyright (c) 2008, 2009 by JŽr™me Laurens; see synctex_parser.c for license details.
++The SyncTeX code is copyright (c) 2008, 2009 by Jérôme Laurens; see synctex_parser.c for license details.
+ 
+ 
+ Building TeXworks

+ 23 - 0
t/texworks/texworks-0.2.3-ptex-vine.patch

@@ -0,0 +1,23 @@
+diff -up texworks-0.2.3/src/TWApp.cpp.vine texworks-0.2.3/src/TWApp.cpp
+--- texworks-0.2.3/src/TWApp.cpp.vine	2009-10-09 03:03:52.000000000 +0900
++++ texworks-0.2.3/src/TWApp.cpp	2010-08-07 15:42:22.722994261 +0900
+@@ -536,13 +536,17 @@ void TWApp::setDefaultEngineList()
+ 	else
+ 		engineList->clear();
+ 	*engineList
++		<< Engine("pdfpLaTeX", "pdfplatex" EXE, QStringList("$basename"), true)
++		<< Engine("pdfepLaTeX", "pdfeplatex" EXE, QStringList("$basename"), true)
+ 		<< Engine("pdfTeX", "pdftex" EXE, QStringList("$synctexoption") << "$fullname", true)
+ 		<< Engine("pdfLaTeX", "pdflatex" EXE, QStringList("$synctexoption") << "$fullname", true)
+ 		<< Engine("XeTeX", "xetex" EXE, QStringList("$synctexoption") << "$fullname", true)
+ 		<< Engine("XeLaTeX", "xelatex" EXE, QStringList("$synctexoption") << "$fullname", true)
+ 		<< Engine("ConTeXt", "texmfstart" EXE, QStringList("texexec") << "$fullname", true)
+ 		<< Engine("XeConTeXt", "texmfstart" EXE, QStringList("texexec") << "--xtx" << "$fullname", true)
++		<< Engine("pBibTeX", "pbibtex" EXE, QStringList("$basename"), false)
+ 		<< Engine("BibTeX", "bibtex" EXE, QStringList("$basename"), false)
++		<< Engine("Mendex", "mendex" EXE, QStringList("$basename"), false)
+ 		<< Engine("MakeIndex", "makeindex" EXE, QStringList("$basename"), false);
+ 	defaultEngineIndex = 1;
+ }
+
+Diff finished.  Sat Aug  7 15:44:12 2010

+ 123 - 0
t/texworks/texworks-vl.spec

@@ -0,0 +1,123 @@
+%define _qt4_qmake		%{_libdir}/qt4/bin/qmake
+
+## Summary/Description adopted from Debian with modification
+
+Name:           texworks
+Version:        0.2.3
+Release:        1%{?_dist_release}
+Summary:        An environment for authoring TeX (LaTeX, ConTeXt, etc) documents
+Summary:        TeX ドキュメント制作のための総合環境
+
+Group:          Applications/Editors
+License:        GPLv2+
+URL:            http://tug.org/texworks/
+Source0:        http://texworks.googlecode.com/files/%{name}-%{version}.tar.gz
+# Desktop file adopted from Debian with modification
+Source1:        %{name}.desktop
+
+## vine
+Source100:      pdfplatex.sh
+Source101:      pdfeplatex.sh
+
+# Fix some strange characters in README
+# applied in upstream svn629
+Patch0:         texworks-0.2.3-README-UTF8.patch
+
+# Use qmake mechanism to install files and fix DSO linking problem
+# DSO linking related part applied in upstream svn637
+Patch1:         TeXworks-pro-install.patch
+
+## vine
+Patch100:       texworks-0.2.3-ptex-vine.patch
+
+BuildRequires:  hunspell-devel
+BuildRequires:  dbus-devel
+BuildRequires:  poppler-qt4-devel
+BuildRequires:  desktop-file-utils
+
+BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
+
+Distribution:	Vine
+Vendor:		Project Vine
+Packager:	munepi
+
+
+%description
+TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents, 
+with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean, 
+simple interface accessible to casual and non-technical users.
+
+You may install the texlive-* packages to make this program useful.
+
+%description -l ja
+TeXworks は TeX (LaTeX, ConTeXt, etc) ドキュメント制作のための総合環境です。
+ユニコードベースで編集する TeX に特化したエディタに、
+PDF プレビュアーが統合されており、不慣れな非技術系のユーザへの
+簡潔で操作しやすいインタフェースを備えています。
+
+TeXworks を利用するためには、TeX 環境が必要です。
+
+
+%prep
+%setup -q
+%patch0 -p0 -b .fix
+%patch1 -p1 -b .fix
+
+%patch100 -p1 -b .vine
+
+
+%build
+%_qt4_qmake INSTALL_PREFIX=%{_prefix} DOCS_DIR=%{_docdir}/%{name}-%{version}
+%__make %{?_smp_mflags}
+
+
+%install
+%__rm -rf %{buildroot}
+%__make install INSTALL_ROOT=%{buildroot}
+
+%__mkdir_p %{buildroot}%{_datadir}/applications
+desktop-file-install \
+    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
+    %{SOURCE1}
+
+## support platex/eplatex via dvipdfmx
+%__install -m755 -D %{SOURCE100} %{buildroot}%{_bindir}/pdfplatex
+%__install -m755 -D %{SOURCE101} %{buildroot}%{_bindir}/pdfeplatex
+
+
+%clean
+%__rm -rf %{buildroot}
+
+%post
+update-desktop-database &> /dev/null || :
+
+%postun
+update-desktop-database &> /dev/null || :
+
+%files
+%defattr(-,root,root,-)
+%{_docdir}/%{name}-%{version}/
+%{_bindir}/%{name}
+%{_bindir}/pdfplatex
+%{_bindir}/pdfeplatex
+%{_datadir}/%{name}/
+%{_datadir}/applications/%{name}.desktop
+%{_datadir}/pixmaps/*
+
+
+%changelog
+* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-1
+- initial build
+
+* Sat Apr 24 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-3
+- Move to menu category 'Office'
+- License tag revised to 'GPLv2+'
+- Initial import to Fedora repositories
+
+* Thu Apr 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-2
+- Fix some strange characters in README
+- Patch TeXworks.pro to use qmake mechanism to install files and fix DSO linking
+  problem
+
+* Sun Apr 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-1
+- Initial packaging

+ 12 - 0
t/texworks/texworks.desktop

@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.0
+Name=TeXworks
+GenericName=Simple TeX IDE
+Comment=A simple IDE for authoring TeX documents
+Exec=texworks
+Icon=TeXworks
+Terminal=false
+Type=Application
+StartupNotify=false
+Categories=Qt;Office;
+MimeType=application/x-latex;text/x-bibtex;text/x-tex;